Page MenuHomePhabricator

First languages in the Latin alphabet like ace and af are stuck in sidebar
Closed, ResolvedPublic

Description

A few languages seems to be stuck in the sidebar, and pushes out other more usable languages. It is the languages with the code "ace", "kbd", and "af". I speak none of them.

Usually I want to keep "no", "nn", "da", "sv", "is", "fo", "en", "de", and "se" in the sidebar, but some of them always drops out because of the pesky "ace", "kbd", and "af".

Please fix. ;/

Event Timeline

jeblad created this task.Jan 9 2016, 5:30 PM
jeblad raised the priority of this task from to Needs Triage.
jeblad updated the task description. (Show Details)
jeblad added a subscriber: jeblad.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 9 2016, 5:30 PM
jeblad renamed this task from languages stuck in sidebar to Languages stuck in sidebar.Jan 9 2016, 5:31 PM
jeblad set Security to None.

How to reproduce the problem and where? This is missing steps to reproduce and which MW version and which LanguageSelector version you are running... And/or a screenshot.
(And are you sure you use LanguageSelector instead of UniversalLanguageSelector ?)

jeblad added a comment.EditedJan 14 2016, 12:03 PM

This is from "no:Fyr" (lighthouse) at nowiki. I have no idea what four first languages are, and one of them I can't even read. There is a swedish artikle, but it is not included, sv:Fyr.

I've tried to maneuver to other languages in these cases, but the languages I want to read is pushed out and replaced with the same pesky languages.

Sometimes it works as expected, like in the article "no:Lyskarakter". This article is about the characteristics about the light source in a lighthouse. In this case the four pesky languages does not have a connected article.


Example from the Norwewgian article "Fyr", this has the unwanted four initial links


Example from the Norwegian article "Lyskarakter", this is a correct list without the four initial links

Restricted Application added a project: UniversalLanguageSelector. · View Herald TranscriptJan 14 2016, 1:48 PM
jeblad added a comment.EditedFeb 2 2016, 12:04 PM

The odd language list still exist and pushes other more central (and used) languages out of the list.

Tested by adding Swedish, Danish, Icelandic, Faroish, and then Swedish was dropped.

Tested by adding Swedish, Danish, Icelandic, Faroish

Is this a procedure that you do normally as part of your workflow, or just a way to stress the system?

ULS is expected to remember your past language choices, see first bullet of https://www.mediawiki.org/wiki/Universal_Language_Selector/Design/Interlanguage_links#How_it_works

I changed the set languages in the dialog because I wanted to provoke changes. The changes then did not stick.

"Show only a short list of the relevant languages for the user based on geo-IP, previous choices and browser settings of the current user. The language the users are looking for will be there most of the times."

Note my comment "Tested by adding Swedish, Danish, Icelandic, Faroish, and then Swedish was dropped." It is not me that dropped Swedish, it is the system that pushes out Swedish, and then keeps other unrelated languages. Swedish is a neighboring country to Norway. Afrikaans is not a language used in Norway, it is actually on another continent.

The preferred languages in the browser is Norwegian Bokmål (nb), Norwegian (no), Norwegian Nynorsk (nn), English USA (en-us), and English (en). Afrikaans is related to Dutch (nl), which is not in the list at all.

Because Dutch is somewhat similar to both English, Deutsch and Danish I sometimes (but veery seldom) visit that language. Afrikaans is somewhat related to Dutch.

jeblad added a comment.Mar 7 2016, 8:16 AM

It seems like something has changed and it is now possible to add languages, and they stick on the same article, but as soon as a new article is loaded the old mess is back.

On the article gitar I now has the following

  • Afrikaans
  • Alemannisch
  • አማርኛ
  • Ænglisc
  • Dansk
  • English
  • Føroyskt
  • Íslenska
  • Norsk nynorsk

I still can't understand neither any of Afrikaans, Alemannisch, አማርኛ, or Ænglisc.

Obviously, it's because these are the first few language names in the Latin alphabet. It's not very useful and should be fixed.

Amire80 renamed this task from Languages stuck in sidebar to First languages in the Latin alphabet like ace and af are stuck in sidebar.Mar 26 2016, 4:00 PM
Amire80 triaged this task as Normal priority.
Amire80 moved this task from Backlog to Other on the ULS-CompactLinks board.

A suggestion for a simple strategy to fix this quickly before we come up with something smarter: T135366.

One key aspect is how many previous choices are we considering. It seems that for a user that moves across 9 different languages, we are not keeping all of them. So increasing that limit would be useful since previous choices seems the most reliable prediction of common use.

It seems like something has changed and it is now possible to add languages, and they stick on the same article, but as soon as a new article is loaded the old mess is back.

The list of languages is limited by those languages the article is available in. However, if the list of languages is different for two articles sharing the languages displayed, this is worth investigating.

There's an issue with the first impression. Yes, after using the feature for some time people will settle down organically with the languages they use the most. But the first few times irrelevant languages are likely to be shown. See the many comments about this here and here. As you can see in the comment by User:Ardomlank, even English may be initially hidden. Resolving this issue will prevent this.

There's an issue with the first impression.

I'm not discussing that. I'm highlighting another issue that may interfere with this and seems important.

Yes, after using the feature for some time people will settle down organically with the languages they use the most.

From what is described in this ticket. It seems that even when moving through several languages, those are not kept when we consider 9 languages. I guess it's because there is a limit in the languages that are remembered from previous choices. Is there a ticket to fix this (e.g., increase the limit)?

There's an issue with the first impression.

I'm not discussing that. I'm highlighting another issue that may interfere with this and seems important.

Yes, after using the feature for some time people will settle down organically with the languages they use the most.

From what is described in this ticket. It seems that even when moving through several languages, those are not kept when we consider 9 languages. I guess it's because there is a limit in the languages that are remembered from previous choices. Is there a ticket to fix this (e.g., increase the limit)?

I created T135487.

There's also T135374, which is a bigger issue because most people don't use much more than five languages, but all users of Compact Links move between wikis (by definition).

Arrbee moved this task from Backlog to QA on the Language-Q4-2016-Sprint 4 board.
Arrbee closed this task as Resolved.Jun 14 2016, 7:21 AM
Arrbee claimed this task.
Arrbee reassigned this task from Arrbee to Nikerabbit.Jun 14 2016, 7:24 AM
Arrbee added a subscriber: Arrbee.